#include <vga.h>
extern int swScanWidth;

int bpp8_getbitmap_1024(int x,int y,int w,int h,char *bmp)
{
  unsigned char * gp = vga_getgraphmem();
  unsigned char * p  = gp;
  int nx,ny,dw;
  int addr = y * swScanWidth + x;
  int page = addr>>16;
  
  vga_setpage(page);
  addr &= 0xffff;
  p+=addr;

  for (ny=0;ny<h;ny++) {
    if (addr>0xffff) {
      page++;
      vga_setpage(page);
      addr &= 0xffff;
      p = gp + addr;
    }
    memcpy(bmp,p,w);
    p += 1024; 
    bmp += w;
    addr += 1024;
  }
  
  return 1;
}
